com.vuze.plugins.mlab.tools.ndt.swingemu

## Class JTextPane

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JTextPane

- Direct Known Subclasses:
    ResultsTextPane

      public class JTextPane
      extends Component

  Emulation of javax.swing.JTextPane for the NDT (Network Diagnostic Tool) plugin.

  This class provides a minimal stub implementation of a styled text component to allow the NDT tool to run in headless environments. The text pane supports document operations but provides no actual text rendering or styling functionality.

  It contains a StyledDocument that can capture text content, but all visual operations are no-ops, maintaining API compatibility without requiring an actual graphical display system.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JTextPane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StyledDocument` | `getStyledDocument()`
    `void` | `insertComponent(Component comp)`
    `void` | `setSelectionEnd(int i)`
    `void` | `setSelectionStart(int i)`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, add, add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JTextPane

          public JTextPane()

  - ### Method Detail

    - #### getStyledDocument

          public StyledDocument getStyledDocument()

    - #### insertComponent

          public void insertComponent(Component comp)

    - #### setSelectionEnd

          public void setSelectionEnd(int i)

    - #### setSelectionStart

          public void setSelectionStart(int i)